Bug 76251 - SyslogFacility AUTHPRIV unknown in man page
SyslogFacility AUTHPRIV unknown in man page
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
1
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 14:39 EDT by Petri T. Koistinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 04:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2002-10-18 14:39:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-14 i686; Nav)

Description of problem:
In default /etc/ssh/sshd_config it says:

SyslogFacility AUTHPRIV

When I type 'man sshd_config' and then type '/SyslogFacility' I see following
part:

SyslogFacility

Gives the facility code that is used when logging messages from sshd.  The
possible values are: DAEMON, USER, AUTH, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4,
LOCAL5, LOCAL6, LOCAL7.  The default is AUTH.

***

So according man page, AUTHPRIV is impossible value.

Version-Release number of selected component (if applicable):
3.5p1-1

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/ssh/sshd_config file.
2. Think. ;-)
3. Read man page.


Actual Results:  Configuration file and man page are not equal.

Expected Results:  Options that are presend in default configuration file should
be documented in man page.
Comment 1 Bill Nottingham 2004-06-28 15:56:03 EDT
The man page comes from openssh; assigning back there.
Comment 2 Tomas Mraz 2005-05-25 04:19:33 EDT
It will be fixed in the next rawhide build.

Note You need to log in before you can comment on or make changes to this bug.